## fo-tree

fo-tree —

## Synopsis

    struct      FoTree;
    struct      FoTreeClass;
    FoFo*       fo_tree_new                     (void);
    void        fo_tree_master_name_add         (FoFo *tree,
                                                 const gchar *name,
                                                 FoFo *fo);
    FoFo*       fo_tree_master_name_get         (FoFo *tree,
                                                 const gchar *name);
    void        fo_tree_page_sequence_master_name_add
                                                (FoFo *tree,
                                                 const gchar *name,
                                                 FoFo *fo);
    FoFo*       fo_tree_page_sequence_master_name_get
                                                (FoFo *tree,
                                                 const gchar *name);
    FoFo*       fo_tree_default_master_get      (FoFo *tree);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoNode
                   +----FoFo
                         +----FoTree

## Description

## Details

### struct FoTree

    struct FoTree;

### struct FoTreeClass

    struct FoTreeClass;

### fo_tree_new ()

    FoFo*       fo_tree_new                     (void);

Creates a new FoTree initialized to default value.

Returns : | the new FoTree

### fo_tree_master_name_add ()

    void        fo_tree_master_name_add         (FoFo *tree,
                                                 const gchar *name,
                                                 FoFo *fo);

`tree` : |
`name` : |
`fo` : |

### fo_tree_master_name_get ()

    FoFo*       fo_tree_master_name_get         (FoFo *tree,
                                                 const gchar *name);

`tree` : |
`name` : |
Returns : |

### fo_tree_page_sequence_master_name_add ()

    void        fo_tree_page_sequence_master_name_add
                                                (FoFo *tree,
                                                 const gchar *name,
                                                 FoFo *fo);

`tree` : |
`name` : |
`fo` : |

### fo_tree_page_sequence_master_name_get ()

    FoFo*       fo_tree_page_sequence_master_name_get
                                                (FoFo *tree,
                                                 const gchar *name);

`tree` : |
`name` : |
Returns : |

### fo_tree_default_master_get ()

    FoFo*       fo_tree_default_master_get      (FoFo *tree);

`tree` : |
Returns : |